import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle')
  .attr('r', height / 2)
  .attr('fill', '#00FFFF')
  .attr('stroke', 'black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = 0

const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('path')
	.attr('fill', 'white')
    .attr('d', arc()({
      innerRadius: 0,
      outerRadius: eyeRadius,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }))
    .attr('transform', `translate(-${eyeSpacing} , 0)`);

const leftEyeDot = eyesG
  .append('circle')
  	.attr('fill', 'black')
    .attr('r', eyeRadius/6)
    .attr('cx', -eyeSpacing)
    .attr('cy', eyeRadius/2)
	.transition()
    .attr('r', eyeRadius/2)
	.transition()
    .attr('r', eyeRadius/6)
	.transition()
    .attr('r', eyeRadius/2);

const rightEye = eyesG
  .append('path')
	.attr('fill', 'white')
    .attr('d', arc()({
      innerRadius: 0,
      outerRadius: eyeRadius,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }))
    .attr('transform', `translate(${eyeSpacing} , 0)`);

const rightEyeDot = eyesG
  .append('circle')
  	.attr('fill', 'black')
    .attr('r', eyeRadius/2)
    .attr('cx', eyeSpacing)
    .attr('cy', eyeRadius/2)
	.transition()
    .attr('r', eyeRadius/6)
	.transition()
    .attr('r', eyeRadius/2)
	.transition()
    .attr('r', eyeRadius/6)
	.transition()
    .attr('r', eyeRadius/2);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG;

const leftEyebrow = eyebrowsG
	.append("path")
		.attr('d', arc()({
          innerRadius: eyebrowWidth,
          outerRadius: eyebrowWidth + 10,
          startAngle: Math.PI * 1.5 / 2,
          endAngle: Math.PI * 2.5 / 2
        }))
    	.attr('transform', `translate(-${eyeSpacing}, 0) rotate(-180)`);

const rightEyebrow = eyebrowsG
	.append("path")
		.attr('d', arc()({
          innerRadius: eyebrowWidth,
          outerRadius: eyebrowWidth + 10,
          startAngle: Math.PI * 1.5 / 2,
          endAngle: Math.PI * 2.5 / 2
        }))
    	.attr('transform', `translate(${eyeSpacing}, 0) rotate(-180)`);

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI * 1.25 / 2,
      endAngle: Math.PI * 2.75 / 2
    }));